Scriptname PD_DDRelease extends PD_EventTemplate  

Quest Property ReleaseQuest Auto
Scene Property RestraintsScene Auto

PD_RestraintsManager Property RestraintsManager Auto

Actor[] RestraintVictims

Bool Function IsValid()
	return RestraintsManager.CanEquipRestraints()
EndFunction

Actor[] Function Select(int victimIndex, Actor[] victims, Actor[] aggressors)
    RestraintVictims = victims
EndFunction

Bool Function Start()
    bool result = ReleaseQuest.Start()

    if result
        RestraintsScene.Start()
    endIf
    
    return result
EndFunction

Function EquipRestraints()
    int i = 0

    while i < RestraintVictims.Length
        RestraintsManager.EquipRestraints(RestraintVictims[i])
        i += 1
    endWhile
EndFunction