Scriptname PD_FollowerManager extends Quest  

Bool Property FSMPresent Auto Hidden

PD_Util Property Util Auto
Bool Property EnslaveToEnemy = false Auto Hidden
Bool Property MaleEnslavement = true Auto Hidden
Bool Property FemaleEnslavement = true Auto Hidden
Float Property OtherEventsChance = 0.25 Auto Hidden

Event OnInit()
    Initialize()
EndEvent

Function Initialize()
    FSMPresent = Game.GetModByName("Follower Slavery Mod.esp") != 255
EndFunction

Bool Function CanEnslave(Actor akTarget)
    int gender = Util.GetGender(akTarget)
    if gender == 0 && MaleEnslavement
        return true
    elseIf gender == 1 && FemaleEnslavement
        return true
    endIf
    return false
EndFunction

Bool Function EnslaveFollower(Actor akTarget, Actor akAggressor = none, bool force = true)
    if force || (OtherEventsChance > 0.0 && Utility.RandomFloat(0, 1.0) <= OtherEventsChance)
        Form master = none

        if EnslaveToEnemy
            master = akAggressor
        endIf
    
        Int iFSMEnslave = ModEvent.Create("fsm_enslavefollower")
        If iFSMEnslave
            ModEvent.PushForm(iFSMEnslave, akTarget)
            ModEvent.PushForm(iFSMEnslave, master)
            ModEvent.PushString(iFSMEnslave, "Random_Type")
            ModEvent.PushBool(iFSMEnslave, True)
            ModEvent.Send(iFSMEnslave)
        EndIf
        Util.LogInfo("Sent FSM mod event")

        return true
    endIf


    return false
EndFunction