Scriptname PD_PlayerAlias extends ReferenceAlias  

PD_EventManager Property EM Auto
PD_AmpManager Property AM Auto
PD_RestraintsManager Property RM Auto
PD_Config Property Config Auto
PD_Util Property Util Auto
PD_FollowerManager Property FM Auto

Event OnPlayerLoadGame()
    Util.LogInfo("Player loaded game")
    EM.InitValidEvents()
    AM.Initialize()
    FM.Initialize()
    Config.Initialize()
    RegisterForSingleUpdate(0.5)
EndEvent

Event OnUpdate()
    SendModEvent("pDefeat_RequestValidity")
    Utility.Wait(1.0)
    RM.Initialize()
EndEvent