Scriptname PD_SE_Bukkake extends pd_eventtemplate  

Quest Property BukkakeQuest Auto
ReferenceAlias Property VictimAlias Auto
ReferenceAlias[] Property AggressorAliases Auto

SexLabFramework Property SL Auto

Bool selected

Bool Function IsValid()
	return true
EndFunction

Bool Function CanSelect(int victimGender, int male, int female)
	return male >= 2 && !selected
EndFunction

Actor[] Function Select(int victimIndex, Actor[] victims, Actor[] aggressors)
    VictimAlias.ForceRefTo(victims[victimIndex])
    Debug.Trace("Forcing: " + VictimAlias.GetRef())

    selected = true
    Actor[] aggs = new Actor[5]

	int i = 0
    int j = 0
    while i < aggressors.length
        if Util.GetGender(aggressors[i]) == 0
            aggs[j] = aggressors[i]
            AggressorAliases[j].ForceRefTo(aggs[j])
            Debug.Trace("Forcing: " + AggressorAliases[j].GetRef())
            j += 1
            if j >= 5
                i = aggressors.length
            endIf
        endIf

        i += 1
    endWhile

    aggs = PapyrusUtil.SliceActorArray(aggs, 0, j - 1)

    return aggs
EndFunction

Bool Function Start()
    BukkakeQuest.Reset()
	return BukkakeQuest.Start()
EndFunction

Function OnFinish()
	selected = false
EndFunction