Scriptname PD_EventReleaseRegular extends Quest

PD_DefeatHandler Property DH Auto
PD_Util Property Util Auto
PD_Config Property Config Auto
PD_EventTemplate Property EventScript Auto

Function Finish()
    DH.ClearVictims()

    Debug.Notification("You've got " + Config.TimeToFlee + " seconds to escape!")
    Game.GetPlayer().ModActorValue("Stamina", 50)
    RegisterForSingleUpdate(Config.TimeToFlee as float)

EndFunction

Event OnUpdate()
    Debug.Notification("Enemies are hostile now.")
    EventScript.FinishEvent()
    Reset()
EndEvent
